# Blogger API . pageViews

## Instance Methods

Retrieve pageview stats for a Blog.

### Method Details

`get(blogId, range=None)`

    Retrieve pageview stats for a Blog.

    Args:
      blogId: string, The ID of the blog to get. (required)
      range: string, A parameter (repeated)
        Allowed values
          30DAYS - Page view counts from the last thirty days.
          7DAYS - Page view counts from the last seven days.
          all - Total page view counts from all time.

    Returns:
      An object of the form:

        {
        "counts": [ # The container of posts in this blog.
          {
            "count": "A String", # Count of page views for the given time range
            "timeRange": "A String", # Time range the given count applies to
          },
        ],
        "blogId": "A String", # Blog Id
        "kind": "blogger#page_views", # The kind of this entry. Always blogger#page_views
      }